@if (vm$ | async; as vm) {
  <ul
    #nav="jdsBiNav"
    [(activeId)]="vm.filterType"
    [colorScheme]="colorScheme"
    [ngClass]="['desk-tab-type', jds.alignItems('center')]"
    jdsBiNav
    variant="ghost"
  >
    <li [jdsBiNavItem]="'upload-change'">
      <a
        (click)="onType('upload-change')"
        jdsBiNavLink
      >
        Permintaan Unggah & Ubah
      </a>
    </li>

    <!-- TODO: activated when discontinue feature is ready -->
    <!-- <li [jdsBiNavItem]="'discontinue'">
      <a
        (click)="onType('discontinue')"
        jdsBiNavLink
      >
        Permintaan Diskontinu
      </a>
    </li> -->

    @if (satudataUser.role_name === 'walidata') {
      <li [jdsBiNavItem]="'request-dataset'">
        <a
          (click)="onType('request-dataset')"
          jdsBiNavLink
        >
          Permohonan Dataset
        </a>
      </li>
    }
  </ul>
}
